Source: eclipse-mylyn
Version: 3.12.0-2
Severity: serious
Tags: buster sid
User: debian...@lists.debian.org
Usertags: qa-ftbfs-20170807 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part (hopefully):
> make[1]: Entering directory '/<<PKGBUILDDIR>>'
> # Regenerate org.eclipse.mylyn.builds.core code from model
> /usr/lib/eclipse/eclipse                                                 \
>         -application org.eclipse.ant.core.antRunner                      \
>         -configuration debian/.eclipse-build/.platform/configuration     \
>         -buildfile debian/ecoreToJava.xml                                \
>         -data debian/.eclipse-build                                      \
>         -Dosgi.sharedConfiguration.area=debian/.eclipse-build/build/home \
>         -consoleLog -noSplash
> OpenJDK 64-Bit Server VM warning: ignoring option MaxPermSize=256m; support 
> was removed in 8.0
> Buildfile: debian/ecoreToJava.xml
> 
> default:
> 
> BUILD FAILED
> /<<PKGBUILDDIR>>/debian/ecoreToJava.xml:16: Problem: failed to create task or 
> type emf.Ecore2Java
> Cause: The name is undefined.
> Action: Check the spelling.
> Action: Check that any custom tasks/types have been declared.
> Action: Check that any <presetdef>/<macrodef> declarations have taken place.
> 
> 
> Total time: 0 seconds
> !SESSION 2017-08-07 11:26:31.669 
> -----------------------------------------------
> eclipse.buildId=debbuild
> java.version=1.8.0_141
> java.vendor=Oracle Corporation
> BootLoader constants: OS=linux, ARCH=x86_64, WS=gtk, NL=en_US
> Framework arguments:  -application org.eclipse.ant.core.antRunner -buildfile 
> debian/ecoreToJava.xml 
> -Dosgi.sharedConfiguration.area=debian/.eclipse-build/build/home
> Command-line arguments:  -os linux -ws gtk -arch x86_64 -application 
> org.eclipse.ant.core.antRunner -buildfile debian/ecoreToJava.xml -data 
> debian/.eclipse-build 
> -Dosgi.sharedConfiguration.area=debian/.eclipse-build/build/home -consoleLog
> 
> !ENTRY org.eclipse.osgi 2 0 2017-08-07 11:26:35.287
> !MESSAGE One or more bundles are not resolved because the following root 
> constraints are not resolved:
> !SUBENTRY 1 org.eclipse.osgi 2 0 2017-08-07 11:26:35.287
> !MESSAGE Bundle 
> reference:file:plugins/org.eclipse.ecf.provider.filetransfer.httpclient.ssl_1.0.0.dist.jar
>  was not resolved.
> !SUBENTRY 2 org.eclipse.ecf.provider.filetransfer.httpclient.ssl 2 0 
> 2017-08-07 11:26:35.287
> !MESSAGE Missing required capability Require-Capability: osgi.ee; 
> filter="(|(&(osgi.ee=CDC/Foundation)(version=1.1))(&(osgi.ee=JavaSE)(version=1.4)))".
> !SUBENTRY 1 org.eclipse.osgi 2 0 2017-08-07 11:26:35.287
> !MESSAGE Bundle 
> reference:file:plugins/org.eclipse.ecf.provider.filetransfer.httpclient_4.0.200.dist.jar
>  was not resolved.
> !SUBENTRY 2 org.eclipse.ecf.provider.filetransfer.httpclient 2 0 2017-08-07 
> 11:26:35.287
> !MESSAGE Missing imported package 
> org.apache.commons.httpclient.auth_[3.0.1,3.1.0].
> !SUBENTRY 2 org.eclipse.ecf.provider.filetransfer.httpclient 2 0 2017-08-07 
> 11:26:35.287
> !MESSAGE Missing imported package 
> org.apache.commons.httpclient.protocol_[3.0.1,3.1.0].
> !SUBENTRY 2 org.eclipse.ecf.provider.filetransfer.httpclient 2 0 2017-08-07 
> 11:26:35.288
> !MESSAGE Missing imported package 
> org.apache.commons.httpclient.methods_[3.0.1,3.1.0].
> !SUBENTRY 2 org.eclipse.ecf.provider.filetransfer.httpclient 2 0 2017-08-07 
> 11:26:35.288
> !MESSAGE Missing imported package org.apache.commons.httpclient_[3.0.1,3.1.0].
> !SUBENTRY 2 org.eclipse.ecf.provider.filetransfer.httpclient 2 0 2017-08-07 
> 11:26:35.288
> !MESSAGE Missing imported package 
> org.apache.commons.httpclient.params_[3.0.1,3.1.0].
> !SUBENTRY 2 org.eclipse.ecf.provider.filetransfer.httpclient 2 0 2017-08-07 
> 11:26:35.288
> !MESSAGE Missing imported package 
> org.apache.commons.httpclient.util_[3.0.1,3.1.0].
> 
> !ENTRY org.eclipse.osgi 2 0 2017-08-07 11:26:35.293
> !MESSAGE The following is a complete list of bundles which are not resolved, 
> see the prior log entry for the root cause if it exists:
> !SUBENTRY 1 org.eclipse.osgi 2 0 2017-08-07 11:26:35.293
> !MESSAGE Bundle org.eclipse.ecf.provider.filetransfer.httpclient_4.0.200.dist 
> [52] was not resolved.
> !SUBENTRY 2 org.eclipse.ecf.provider.filetransfer.httpclient 2 0 2017-08-07 
> 11:26:35.293
> !MESSAGE Missing imported package org.apache.commons.httpclient_[3.0.1,3.1.0].
> !SUBENTRY 2 org.eclipse.ecf.provider.filetransfer.httpclient 2 0 2017-08-07 
> 11:26:35.293
> !MESSAGE Missing imported package 
> org.apache.commons.httpclient.auth_[3.0.1,3.1.0].
> !SUBENTRY 2 org.eclipse.ecf.provider.filetransfer.httpclient 2 0 2017-08-07 
> 11:26:35.293
> !MESSAGE Missing imported package 
> org.apache.commons.httpclient.methods_[3.0.1,3.1.0].
> !SUBENTRY 2 org.eclipse.ecf.provider.filetransfer.httpclient 2 0 2017-08-07 
> 11:26:35.293
> !MESSAGE Missing imported package 
> org.apache.commons.httpclient.params_[3.0.1,3.1.0].
> !SUBENTRY 2 org.eclipse.ecf.provider.filetransfer.httpclient 2 0 2017-08-07 
> 11:26:35.293
> !MESSAGE Missing imported package 
> org.apache.commons.httpclient.protocol_[3.0.1,3.1.0].
> !SUBENTRY 2 org.eclipse.ecf.provider.filetransfer.httpclient 2 0 2017-08-07 
> 11:26:35.293
> !MESSAGE Missing imported package 
> org.apache.commons.httpclient.util_[3.0.1,3.1.0].
> !SUBENTRY 1 org.eclipse.osgi 2 0 2017-08-07 11:26:35.293
> !MESSAGE Bundle 
> org.eclipse.ecf.provider.filetransfer.httpclient.ssl_1.0.0.dist [53] was not 
> resolved.
> !SUBENTRY 2 org.eclipse.ecf.provider.filetransfer.httpclient.ssl 2 0 
> 2017-08-07 11:26:35.293
> !MESSAGE Missing host org.eclipse.ecf.provider.filetransfer.httpclient_0.0.0.
> !SUBENTRY 2 org.eclipse.ecf.provider.filetransfer.httpclient.ssl 2 0 
> 2017-08-07 11:26:35.293
> !MESSAGE Missing required capability Require-Capability: osgi.ee; 
> filter="(|(&(osgi.ee=CDC/Foundation)(version=1.1))(&(osgi.ee=JavaSE)(version=1.4)))".
> 
> !ENTRY org.eclipse.osgi 4 0 2017-08-07 11:26:35.294
> !MESSAGE Application error
> !STACK 1
> java.lang.reflect.InvocationTargetException
>       at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
>       at 
> sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
>       at 
> sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
>       at java.lang.reflect.Method.invoke(Method.java:498)
>       at org.eclipse.ant.core.AntRunner.run(AntRunner.java:513)
>       at org.eclipse.ant.core.AntRunner.start(AntRunner.java:600)
>       at 
> org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)
>       at 
> org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:110)
>       at 
> org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:79)
>       at 
> org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:353)
>       at 
> org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:180)
>       at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
>       at 
> sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
>       at 
> sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
>       at java.lang.reflect.Method.invoke(Method.java:498)
>       at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:629)
>       at org.eclipse.equinox.launcher.Main.basicRun(Main.java:584)
>       at org.eclipse.equinox.launcher.Main.run(Main.java:1438)
>       at org.eclipse.equinox.launcher.Main.main(Main.java:1414)
> Caused by: /<<PKGBUILDDIR>>/debian/ecoreToJava.xml:16: Problem: failed to 
> create task or type emf.Ecore2Java
> Cause: The name is undefined.
> Action: Check the spelling.
> Action: Check that any custom tasks/types have been declared.
> Action: Check that any <presetdef>/<macrodef> declarations have taken place.
> 
>       at 
> org.apache.tools.ant.UnknownElement.getNotFoundException(UnknownElement.java:500)
>       at 
> org.apache.tools.ant.UnknownElement.makeObject(UnknownElement.java:432)
>       at 
> org.apache.tools.ant.UnknownElement.maybeConfigure(UnknownElement.java:164)
>       at org.apache.tools.ant.Task.perform(Task.java:347)
>       at org.apache.tools.ant.Target.execute(Target.java:435)
>       at org.apache.tools.ant.Target.performTasks(Target.java:456)
>       at org.apache.tools.ant.Project.executeSortedTargets(Project.java:1405)
>       at org.apache.tools.ant.Project.executeTarget(Project.java:1376)
>       at 
> org.apache.tools.ant.helper.DefaultExecutor.executeTargets(DefaultExecutor.java:41)
>       at 
> org.eclipse.ant.internal.core.ant.EclipseDefaultExecutor.executeTargets(EclipseDefaultExecutor.java:32)
>       at org.apache.tools.ant.Project.executeTargets(Project.java:1260)
>       at 
> org.eclipse.ant.internal.core.ant.InternalAntRunner.run(InternalAntRunner.java:672)
>       at 
> org.eclipse.ant.internal.core.ant.InternalAntRunner.run(InternalAntRunner.java:537)
>       ... 19 more
> Root exception:
> /<<PKGBUILDDIR>>/debian/ecoreToJava.xml:16: Problem: failed to create task or 
> type emf.Ecore2Java
> Cause: The name is undefined.
> Action: Check the spelling.
> Action: Check that any custom tasks/types have been declared.
> Action: Check that any <presetdef>/<macrodef> declarations have taken place.
> 
>       at 
> org.apache.tools.ant.UnknownElement.getNotFoundException(UnknownElement.java:500)
>       at 
> org.apache.tools.ant.UnknownElement.makeObject(UnknownElement.java:432)
>       at 
> org.apache.tools.ant.UnknownElement.maybeConfigure(UnknownElement.java:164)
>       at org.apache.tools.ant.Task.perform(Task.java:347)
>       at org.apache.tools.ant.Target.execute(Target.java:435)
>       at org.apache.tools.ant.Target.performTasks(Target.java:456)
>       at org.apache.tools.ant.Project.executeSortedTargets(Project.java:1405)
>       at org.apache.tools.ant.Project.executeTarget(Project.java:1376)
>       at 
> org.apache.tools.ant.helper.DefaultExecutor.executeTargets(DefaultExecutor.java:41)
>       at 
> org.eclipse.ant.internal.core.ant.EclipseDefaultExecutor.executeTargets(EclipseDefaultExecutor.java:32)
>       at org.apache.tools.ant.Project.executeTargets(Project.java:1260)
>       at 
> org.eclipse.ant.internal.core.ant.InternalAntRunner.run(InternalAntRunner.java:672)
>       at 
> org.eclipse.ant.internal.core.ant.InternalAntRunner.run(InternalAntRunner.java:537)
>       at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
>       at 
> sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
>       at 
> sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
>       at java.lang.reflect.Method.invoke(Method.java:498)
>       at org.eclipse.ant.core.AntRunner.run(AntRunner.java:513)
>       at org.eclipse.ant.core.AntRunner.start(AntRunner.java:600)
>       at 
> org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)
>       at 
> org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:110)
>       at 
> org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:79)
>       at 
> org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:353)
>       at 
> org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:180)
>       at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
>       at 
> sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
>       at 
> sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
>       at java.lang.reflect.Method.invoke(Method.java:498)
>       at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:629)
>       at org.eclipse.equinox.launcher.Main.basicRun(Main.java:584)
>       at org.eclipse.equinox.launcher.Main.run(Main.java:1438)
>       at org.eclipse.equinox.launcher.Main.main(Main.java:1414)
> Eclipse:
> An error has occurred. See the log file
> /<<PKGBUILDDIR>>/debian/.eclipse-build/.metadata/.log.
> debian/rules:13: recipe for target 'override_jh_compilefeatures' failed
> make[1]: *** [override_jh_compilefeatures] Error 13

The full build log is available from:
   http://aws-logs.debian.net/2017/08/07/eclipse-mylyn_3.12.0-2_unstable.log

A list of current common problems and possible solutions is available at
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on EC2 VM instances from
Amazon Web Services, using a clean, minimal and up-to-date chroot. Every
failed build was retried once to eliminate random failures.

__
This is the maintainer address of Debian's Java team
<http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-java-maintainers>. 
Please use
debian-j...@lists.debian.org for discussions and questions.

Reply via email to